//---------------------------------------------------------------------------
#ifndef pickdateH
#define pickdateH
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\ExtCtrls.hpp>
#include <vcl\Buttons.hpp>
#include <vcl\Grids.hpp>
#include "..\..\controls\calendar\calendar.h"
//---------------------------------------------------------------------------
class TBrDateForm : public TForm
{
__published:	// IDE-managed Components
	TButton *OkBtn;
	TButton *CancelBtn;
	TBevel *Bevel1;
	TLabel *TitleLabel;
	TSpeedButton *PrevMonthBtn;
	TSpeedButton *NextMonthBtn;
        TCalendar *Calendar1;
	void __fastcall PrevMonthBtnClick(TObject *Sender);
	void __fastcall NextMonthBtnClick(TObject *Sender);
	void __fastcall Calendar1Change(TObject *Sender);
        
        
private:	// User declarations
    void SetDate(TDateTime Date);
    TDateTime GetDate();
public:		// User declarations
    __property TDateTime Date={read=GetDate,write=SetDate};
	virtual __fastcall TBrDateForm(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern TBrDateForm *BrDateForm;
//---------------------------------------------------------------------------
#endif
